Package org.opensaml.saml.saml2.metadata.impl

# Class EndpointImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.metadata.impl.EndpointImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `Endpoint`

Direct Known Subclasses:
  `AssertionIDRequestServiceImpl`, `AttributeServiceImpl`, `AuthnQueryServiceImpl`, `AuthzServiceImpl`, `IndexedEndpointImpl`, `ManageNameIDServiceImpl`, `NameIDMappingServiceImpl`, `RequestInitiatorImpl`, `SingleLogoutServiceImpl`, `SingleSignOnServiceImpl`

public abstract class EndpointImpl extends AbstractXMLObject implements Endpoint
A concrete implementation of `Endpoint`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`bindingId`
Binding URI.
`private String`
`location`
Endpoint location URI.
`private String`
`responseLocation`
Response location URI.
`private final AttributeMap`
`unknownAttributes`
"anyAttribute" attributes.
`private final IndexedXMLObjectChildrenList<XMLObject>`
`unknownChildren`
child "any" elements.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`BINDING_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, LOCATION_ATTRIB_NAME, RESPONSE_LOCATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EndpointImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBinding()`
Gets the URI identifier for the binding supported by this Endpoint.
`String`
`getLocation()`
Gets the URI, usually a URL, for the location of this Endpoint.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getResponseLocation()`
Gets the URI, usually a URL, responses should be sent to this for this Endpoint.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`List<XMLObject>`
`getUnknownXMLObjects()`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.
`List<XMLObject>`
`getUnknownXMLObjects(QName typeOrName)`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.
`void`
`setBinding(String binding)`
Sets the URI identifier for the binding supported by this Endpoint.
`void`
`setLocation(String theLocation)`
Sets the URI, usually a URL, for the location of this Endpoint.
`void`
`setResponseLocation(String theLocation)`
Sets the URI, usually a URL, responses should be sent to this for this Endpoint.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### bindingId

@Nullable private String bindingId
Binding URI.

### location

@Nullable private String location
Endpoint location URI.

### responseLocation

@Nullable private String responseLocation
Response location URI.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
"anyAttribute" attributes.

### unknownChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> unknownChildren
child "any" elements.

## Constructor Details

### EndpointImpl

protected EndpointImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getBinding

@Nullable public String getBinding()
Gets the URI identifier for the binding supported by this Endpoint.

Specified by:
  `getBinding` in interface `Endpoint`
Returns:
  the URI identifier for the binding supported by this Endpoint

### setBinding

public void setBinding(@Nullable String binding)
Sets the URI identifier for the binding supported by this Endpoint.

Specified by:
  `setBinding` in interface `Endpoint`
Parameters:
  `binding` - the URI identifier for the binding supported by this Endpoint

### getLocation

@Nullable public String getLocation()
Gets the URI, usually a URL, for the location of this Endpoint.

Specified by:
  `getLocation` in interface `Endpoint`
Returns:
  the location of this Endpoint

### setLocation

public void setLocation(@Nullable String theLocation)
Sets the URI, usually a URL, for the location of this Endpoint.

Specified by:
  `setLocation` in interface `Endpoint`
Parameters:
  `theLocation` - the location of this Endpoint

### getResponseLocation

@Nullable public String getResponseLocation()
Gets the URI, usually a URL, responses should be sent to this for this Endpoint.

Specified by:
  `getResponseLocation` in interface `Endpoint`
Returns:
  the URI responses should be sent to this for this Endpoint

### setResponseLocation

public void setResponseLocation(@Nullable String theLocation)
Sets the URI, usually a URL, responses should be sent to this for this Endpoint.

Specified by:
  `setResponseLocation` in interface `Endpoint`
Parameters:
  `theLocation` - the URI responses should be sent to this for this Endpoint

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getUnknownXMLObjects

@Nonnull @Live public List<XMLObject> getUnknownXMLObjects()
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model

### getUnknownXMLObjects

@Nonnull @Live public List<XMLObject> getUnknownXMLObjects(@Nonnull QName typeOrName)
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model TODO: think this should be typed List<? extends XMLObject>

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements